Bug 303110 - Deleting a file from the File Browser ask twice for confirmation
Summary: Deleting a file from the File Browser ask twice for confirmation
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: File Browser (show other bugs)
Version: 2.5-git
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-06 14:25 UTC by Emilio
Modified: 2012-12-20 12:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio 2012-07-06 14:25:21 UTC
When I delete a file using the File Browser, Amarok asks twice for confirmation.

The two confirmation dialogs are different, the second one shows the name of the file.


I'm using latest amarok git, kde 4.8.2

Reproducible: Always

Steps to Reproduce:
1. Go to the File Browser
2. Right click on any file and then click on delete. It happens if you press Shift or you don't press shift.
3. You will see two confimation dialogs
Comment 1 Mayank Madan 2012-11-30 13:47:22 UTC
It is fixed in v2.6.0-421-gf66a306
Comment 2 Myriam Schweingruber 2012-12-01 08:42:57 UTC
This was fixed for the 2.6 release.
Comment 3 Emilio 2012-12-16 12:03:08 UTC
I can reproduce it using latest git. 

I'm using kde 4.8.5 and qt 4.8.2.
Comment 4 Myriam Schweingruber 2012-12-16 13:22:11 UTC
Emilio: please specify the exact git version, 'git describe' will tell you the details
Comment 5 Myriam Schweingruber 2012-12-16 13:22:32 UTC
Set status correctly.
Comment 6 Emilio 2012-12-16 15:04:05 UTC
git version: v2.6.90-7-g330c47a
Comment 7 Edward Hades 2012-12-20 11:54:09 UTC
Just reproduced with amarok v2.6.90-26-gbcdd84c
Comment 8 Edward Hades 2012-12-20 12:06:16 UTC
Git commit 7f8853b53dd95da99feb74fc323ce048358feabd by Edward Hades.
Committed on 20/12/2012 at 13:03.
Pushed by hades into branch 'master'.

Partial revert "Stub for TranscodeDialog"

This reverts commit 4717541746803cba65685016f7c7384cf7fdc55b.
FIXED-IN: 2.7

M  +0    -8    src/browsers/filebrowser/FileView.cpp

http://commits.kde.org/amarok/7f8853b53dd95da99feb74fc323ce048358feabd